# Configurazione delle release disponibili
# Quando viene rilasciata una release o una point release è solamente
# necessario aggiornare questa sezione.

[releases.latest]
version = "21.10"
codename = "impish"
lts = false

[releases.lts]
version = "20.04.3"
codename = "focal"
lts = true



# Distribuzioni disponibili per il download
# Tutte le pagine in /download sono generate automaticamente da questa lista.
#
# name:               Il nome della distro
# description:        Una breve descrizione della distro
# lts-support-years:  Il numero di anni per cui la LTS è supportata
# lts-only:           Se impostato a `true`, solo le LTS verranno offerte
# releases:           Una lista di release da offrire -- viene filtrata da lts-only
# archs:              Una tabella di architettura e sorgente delle ISO
#
# Se è necessario sovrascrivere la sorgente delle ISO per una singola coppia
# release-architettura, è possibile aggiungere la chiave:
#
#    source-override-RELEASE-ARCH = "SOURCE"


[distros.desktop]
name = "Ubuntu"
description = "L'originale, con GNOME"
lts-support-years = 5

lts-only = false
releases = ["latest", "lts"]
archs = { amd64 = "releases-ubuntu" }


[distros.live-server]
name = "Ubuntu Server"
description = "Tutta la potenza di Ubuntu nel tuo server"
lts-support-years = 5

lts-only = false
releases = ["lts", "latest"]  # Invertiti intenzionalmente

# amd64 è su releases.u.c, mentre arm64 e ppc64el sono su cdimages.u.c
archs = { amd64 = "releases-ubuntu", arm64 = "cdimages-ubuntu", ppc64el = "cdimages-ubuntu" }


[distros.kubuntu]
name = "Kubuntu"
description = "L'esperienza Ubuntu con desktop KDE"
lts-support-years = 3

lts-only = false
releases = ["latest", "lts"]
archs = { amd64 = "cdimages-derivatives" }


[distros.lubuntu]
name = "Lubuntu"
description = "La derivata più leggera, con LXDE"
lts-support-years = 3

lts-only = false
releases = ["latest", "lts"]
archs = { amd64 = "cdimages-derivatives" }


[distros.ubuntu-budgie]
name = "Ubuntu Budgie"
description = "La potenza di Ubuntu e la leggerezza di Budgie"
lts-support-years = 3

lts-only = false
releases = ["latest", "lts"]
archs = { amd64 = "cdimages-derivatives" }


[distros.ubuntukylin]
name = "Ubuntu Kylin"
description = "La derivata di Ubuntu con desktop UKUI"
lts-support-years = 3

lts-only = false
releases = ["latest", "lts"]
archs = { amd64 = "cdimages-derivatives" }


[distros.ubuntu-mate]
name = "Ubuntu MATE"
description = "Ubuntu si unisce a MATE"
lts-support-years = 3

lts-only = false
releases = ["latest", "lts"]
archs = { amd64 = "cdimages-derivatives" }


[distros.ubuntustudio]
name = "Ubuntu Studio"
description = "La derivata di Ubuntu dedicata alla multimedialità"
lts-support-years = 3

lts-only = false
releases = ["latest", "lts"]
archs = { amd64 = "cdimages-studio" }


[distros.xubuntu]
name = "Xubuntu"
description = "La derivata di Ubuntu leggera ma personalizzabile, con desktop XFCE"
lts-support-years = 3

lts-only = false
releases = ["latest", "lts"]
archs = { amd64 = "cdimages-derivatives" }


# Nomi delle architetture
# Vengono usati per scegliere l'architettura da scaricare

[archs]
amd64 = "64bit"
#i386 = "32bit (computer più datati)"
arm64 = "ARM 64bit"
ppc64el = "POWER"



# Tabella delle sorgenti delle ISO
# Le distro possono scegliere da quale sorgente prendere ogni architettura

[sources.releases-ubuntu]
http = "{mirror:ubuntu}/{codename}/ubuntu-{version}-{distro}-{arch}.iso"
torrent = "{mirror:ubuntu}/{codename}/ubuntu-{version}-{distro}-{arch}.iso.torrent"

[sources.cdimages-ubuntu]
http = "http://cdimages.ubuntu.com/releases/{codename}/release/ubuntu-{version}-{distro}-{arch}.iso"
torrent = "http://cdimages.ubuntu.com/releases/{codename}/release/ubuntu-{version}-{distro}-{arch}.iso.torrent"

[sources.cdimages-derivatives]
http = "http://cdimages.ubuntu.com/{distro}/releases/{codename}/release/{distro}-{version}-desktop-{arch}.iso"
torrent = "http://cdimages.ubuntu.com/{distro}/releases/{codename}/release/{distro}-{version}-desktop-{arch}.iso.torrent"

[sources.cdimages-studio]
http = "http://cdimages.ubuntu.com/{distro}/releases/{codename}/release/{distro}-{version}-dvd-{arch}.iso"
torrent = "http://cdimages.ubuntu.com/{distro}/releases/{codename}/release/{distro}-{version}-dvd-{arch}.iso.torrent"



# Configurazione dei mirror
# I mirror vengono caricati da Launchpad in automatico

[mirrors]
country = "IT"
for = ["ubuntu"]

